Index: trunk/source/visualization/VRML/include/CVS/Entries
===================================================================
--- trunk/source/visualization/VRML/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/VRML/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,16 @@
+/FRClient.h/1.6/Thu Jun 29 21:25:19 2006//Tgeant4-09-04-ref-00
+/G4FRClient.hh/1.8/Thu Jun 29 21:25:21 2006//Tgeant4-09-04-ref-00
+/G4VRML1.hh/1.10/Thu Jun 29 21:25:23 2006//Tgeant4-09-04-ref-00
+/G4VRML1File.hh/1.10/Thu Jun 29 21:25:25 2006//Tgeant4-09-04-ref-00
+/G4VRML1FileSceneHandler.hh/1.19/Sun May 30 10:14:39 2010//Tgeant4-09-04-ref-00
+/G4VRML1FileViewer.hh/1.8/Thu Jun 29 21:25:29 2006//Tgeant4-09-04-ref-00
+/G4VRML1SceneHandler.hh/1.16/Sun May 30 10:08:32 2010//Tgeant4-09-04-ref-00
+/G4VRML1Viewer.hh/1.8/Thu Jun 29 21:25:33 2006//Tgeant4-09-04-ref-00
+/G4VRML2.hh/1.10/Thu Jun 29 21:25:35 2006//Tgeant4-09-04-ref-00
+/G4VRML2File.hh/1.11/Thu Jun 29 21:25:37 2006//Tgeant4-09-04-ref-00
+/G4VRML2FileSceneHandler.hh/1.18/Sun May 30 10:14:39 2010//Tgeant4-09-04-ref-00
+/G4VRML2FileViewer.hh/1.10/Thu Jun 29 21:25:41 2006//Tgeant4-09-04-ref-00
+/G4VRML2SceneHandler.hh/1.15/Sun May 30 10:08:32 2010//Tgeant4-09-04-ref-00
+/G4VRML2Viewer.hh/1.8/Thu Jun 29 21:25:45 2006//Tgeant4-09-04-ref-00
+/G4VRMLNetConfig.hh/1.7/Thu Jun 29 21:25:47 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/VRML/include/FRClient.h
===================================================================
--- trunk/source/visualization/VRML/include/FRClient.h	(revision 1346)
+++ trunk/source/visualization/VRML/include/FRClient.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: FRClient.h,v 1.6 2006/06/29 21:25:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // FRClient.h
Index: trunk/source/visualization/VRML/include/G4FRClient.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4FRClient.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4FRClient.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRClient.hh,v 1.8 2006/06/29 21:25:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4FRClient.hh
Index: trunk/source/visualization/VRML/include/G4VRML1.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1.hh,v 1.10 2006/06/29 21:25:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1.hh
Index: trunk/source/visualization/VRML/include/G4VRML1File.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1File.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1File.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1File.hh,v 1.10 2006/06/29 21:25:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1File.hh
Index: trunk/source/visualization/VRML/include/G4VRML1FileSceneHandler.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1FileSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1FileSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1FileSceneHandler.hh,v 1.19 2010/05/30 10:14:39 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1FileSceneHandler.hh
Index: trunk/source/visualization/VRML/include/G4VRML1FileViewer.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1FileViewer.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1FileViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1FileViewer.hh,v 1.8 2006/06/29 21:25:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1FileViewer.hh
Index: trunk/source/visualization/VRML/include/G4VRML1SceneHandler.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1SceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1SceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1SceneHandler.hh,v 1.16 2010/05/30 10:08:32 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1SceneHandler.hh
Index: trunk/source/visualization/VRML/include/G4VRML1Viewer.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML1Viewer.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML1Viewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1Viewer.hh,v 1.8 2006/06/29 21:25:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1Viewer.hh
Index: trunk/source/visualization/VRML/include/G4VRML2.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2.hh,v 1.10 2006/06/29 21:25:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2.hh
Index: trunk/source/visualization/VRML/include/G4VRML2File.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2File.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2File.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2File.hh,v 1.11 2006/06/29 21:25:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2File.hh
Index: trunk/source/visualization/VRML/include/G4VRML2FileSceneHandler.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2FileSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2FileSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2FileSceneHandler.hh,v 1.18 2010/05/30 10:14:39 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2FileSceneHandler.hh
Index: trunk/source/visualization/VRML/include/G4VRML2FileViewer.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2FileViewer.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2FileViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2FileViewer.hh,v 1.10 2006/06/29 21:25:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2FileViewer.hh
Index: trunk/source/visualization/VRML/include/G4VRML2SceneHandler.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2SceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2SceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2SceneHandler.hh,v 1.15 2010/05/30 10:08:32 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2SceneHandler.hh
Index: trunk/source/visualization/VRML/include/G4VRML2Viewer.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRML2Viewer.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRML2Viewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2Viewer.hh,v 1.8 2006/06/29 21:25:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2Viewer.hh
Index: trunk/source/visualization/VRML/include/G4VRMLNetConfig.hh
===================================================================
--- trunk/source/visualization/VRML/include/G4VRMLNetConfig.hh	(revision 1346)
+++ trunk/source/visualization/VRML/include/G4VRMLNetConfig.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRMLNetConfig.hh,v 1.7 2006/06/29 21:25:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRMLNetConfig.hh
Index: trunk/source/visualization/VRML/src/CVS/Entries
===================================================================
--- trunk/source/visualization/VRML/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/VRML/src/CVS/Entries	(revision 1347)
@@ -1,1 +1,17 @@
+/FRClient.cc/1.8/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4FRClient.cc/1.8/Thu Jun 29 21:25:51 2006//Tgeant4-09-04-ref-00
+/G4VRML1.cc/1.10/Thu Jun 29 21:25:53 2006//Tgeant4-09-04-ref-00
+/G4VRML1File.cc/1.10/Thu Jun 29 21:25:55 2006//Tgeant4-09-04-ref-00
+/G4VRML1FileSceneHandler.cc/1.13/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML1FileViewer.cc/1.12/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML1SceneHandler.cc/1.11/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML1SceneHandlerFunc.icc/1.17/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML1Viewer.cc/1.9/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML2.cc/1.10/Thu Jun 29 21:26:07 2006//Tgeant4-09-04-ref-00
+/G4VRML2File.cc/1.10/Thu Jun 29 21:26:09 2006//Tgeant4-09-04-ref-00
+/G4VRML2FileSceneHandler.cc/1.15/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML2FileViewer.cc/1.14/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML2SceneHandler.cc/1.13/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML2SceneHandlerFunc.icc/1.21/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
+/G4VRML2Viewer.cc/1.13/Thu Nov 11 00:14:50 2010//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/VRML/src/FRClient.cc
===================================================================
--- trunk/source/visualization/VRML/src/FRClient.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/FRClient.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: FRClient.cc,v 1.7 2006/06/29 21:25:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: FRClient.cc,v 1.8 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // FRClient.cc
@@ -56,4 +56,5 @@
 #include <stdio.h>
 
+#include "G4VisManager.hh"
 #include "FRClient.h"
 
@@ -99,6 +100,7 @@
 	hp = gethostbyname(hostname) ;
 	if ( !hp ) {
-		G4cerr << "ERROR: gethostbyname() failed" << G4endl;
-		return -1; 
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR: gethostbyname() failed" << G4endl;
+	  return -1; 
 	}
 
Index: trunk/source/visualization/VRML/src/G4FRClient.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4FRClient.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4FRClient.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRClient.cc,v 1.8 2006/06/29 21:25:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4FRClient.cc
Index: trunk/source/visualization/VRML/src/G4VRML1.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1.cc,v 1.10 2006/06/29 21:25:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1.cc
Index: trunk/source/visualization/VRML/src/G4VRML1File.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1File.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1File.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML1File.cc,v 1.10 2006/06/29 21:25:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1File.cc
Index: trunk/source/visualization/VRML/src/G4VRML1FileSceneHandler.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1FileSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1FileSceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML1FileSceneHandler.cc,v 1.12 2006/06/29 21:25:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML1FileSceneHandler.cc,v 1.13 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1FileSceneHandler.cc
@@ -40,4 +40,5 @@
 
 #include "globals.hh"
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4VPhysicalVolume.hh"
@@ -104,5 +105,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** ~G4VRML1FileSceneHandler" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** ~G4VRML1FileSceneHandler" << G4endl;
 #endif 
 	VRMLEndModeling();
@@ -134,11 +136,13 @@
 		if( i == MAX_FILE_INDEX ) 
 		{
-		  G4cerr << "==========================================="   << G4endl; 
-		  G4cerr << "WARNING MESSAGE from VRML1FILE driver:     "   << G4endl;
-		  G4cerr << "  This file name is the final one in the   "   << G4endl;
-		  G4cerr << "  automatic updation of the output file name." << G4endl; 
-		  G4cerr << "  You may overwrite existing files, i.e.   "   << G4endl; 
-                  G4cerr << "  g4_XX.wrl.                               "   << G4endl;
-		  G4cerr << "==========================================="   << G4endl; 
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		    G4cout << "==========================================="   << G4endl; 
+		    G4cout << "WARNING MESSAGE from VRML1FILE driver:     "   << G4endl;
+		    G4cout << "  This file name is the final one in the   "   << G4endl;
+		    G4cout << "  automatic updation of the output file name." << G4endl; 
+		    G4cout << "  You may overwrite existing files, i.e.   "   << G4endl; 
+		    G4cout << "  g4_XX.wrl.                               "   << G4endl;
+		    G4cout << "==========================================="   << G4endl; 
+		  }
 		}
 
@@ -166,10 +170,11 @@
 
 	// open a VRML 1.0 file with determined file name
-	G4cerr << "==========================================="  << G4endl; 
-	G4cerr << "Output VRML 1.0 file: " << fVRMLFileName << G4endl; 
-	G4cerr << "Maximum number of files in the destination directory: " << fMaxFileNum << G4endl; 
-	G4cerr << "  (Customizable with the environment variable: G4VRMLFILE_MAX_FILE_NUM) " << G4endl;
-	G4cerr << "===========================================" << G4endl; 
-
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	  G4cout << "==========================================="  << G4endl; 
+	  G4cout << "Output VRML 1.0 file: " << fVRMLFileName << G4endl; 
+	  G4cout << "Maximum number of files in the destination directory: " << fMaxFileNum << G4endl; 
+	  G4cout << "  (Customizable with the environment variable: G4VRMLFILE_MAX_FILE_NUM) " << G4endl;
+	  G4cout << "===========================================" << G4endl; 
+	}
 	fDest.open(fVRMLFileName) ;  fFlagDestOpen =  true ;
 }
@@ -187,5 +192,6 @@
 	// close VRML file	
 	fDest.close();  fFlagDestOpen = false ;
-	G4cerr << "*** VRML 1.0 File  " << fVRMLFileName << "  is generated." << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "*** VRML 1.0 File  " << fVRMLFileName << "  is generated." << G4endl;
 
 	
@@ -193,10 +199,12 @@
 
 	if ( !strcmp(viewer, NO_VRML_VIEWER )) {
-		G4cerr << "MESSAGE from VRML1FILE driver:"     << G4endl;
-		G4cerr << "    Set an environmental variable  " ;
-		G4cerr <<      ENV_VRML_VIEWER << G4endl;
-		G4cerr << "    if you want to visualize the generated VRML file" << G4endl; 
-		G4cerr << "    automatically.  For example, " << G4endl;
-		G4cerr << "    setenv  " << ENV_VRML_VIEWER << "  vrweb " << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "MESSAGE from VRML1FILE driver:"     << G4endl;
+		G4cout << "    Set an environmental variable  " ;
+		G4cout <<      ENV_VRML_VIEWER << G4endl;
+		G4cout << "    if you want to visualize the generated VRML file" << G4endl; 
+		G4cout << "    automatically.  For example, " << G4endl;
+		G4cout << "    setenv  " << ENV_VRML_VIEWER << "  vrweb " << G4endl;
+	  }
 	} else {
 		sprintf( command, "%s %s", viewer, fVRMLFileName  );   
Index: trunk/source/visualization/VRML/src/G4VRML1FileViewer.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1FileViewer.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1FileViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML1FileViewer.cc,v 1.11 2006/06/29 21:25:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML1FileViewer.cc,v 1.12 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRMLView.cc
@@ -34,4 +34,5 @@
 //#define DEBUG_FR_VIEW
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4VRML1FileViewer.hh"
@@ -54,5 +55,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1FileViewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1FileViewer::SetView(): No effects" << G4endl;
 #endif
 }
@@ -61,5 +63,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4VRML1FileViewer::DrawView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4VRML1FileViewer::DrawView()" << G4endl;
 #endif
 
@@ -75,5 +78,6 @@
 {
   //#if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1File1View::ClearView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1File1View::ClearView()" << G4endl;
   //#endif
   if(fSceneHandler.fFlagDestOpen) {
@@ -89,5 +93,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1FileViewer::ShowView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1FileViewer::ShowView()" << G4endl;
 #endif
 	fSceneHandler.VRMLEndModeling();
@@ -97,5 +102,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1FileViewer::FinishView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1FileViewer::FinishView(): No effects" << G4endl;
 #endif
 }
Index: trunk/source/visualization/VRML/src/G4VRML1SceneHandler.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1SceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1SceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML1SceneHandler.cc,v 1.10 2006/06/29 21:26:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML1SceneHandler.cc,v 1.11 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1SceneHandler.cc
@@ -44,4 +44,5 @@
 
 #include "globals.hh"
+#include "G4VisManager.hh"
 #include "G4VPhysicalVolume.hh"
 #include "G4LogicalVolume.hh"
@@ -81,5 +82,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** ~G4VRML1SceneHandler" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** ~G4VRML1SceneHandler" << G4endl;
 #endif 
 }
@@ -101,12 +103,16 @@
 		if (fDest.connect( (const char * )fSystem.getHostName(), port)) {
 		    // INET domain connection is established
-			G4cerr << "*** GEANT4 is connected to port  ";
-			G4cerr << fDest.getPort(); 
-			G4cerr << " of server  " << fSystem.getHostName() << G4endl;
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+			G4cout << "*** GEANT4 is connected to port  ";
+			G4cout << fDest.getPort(); 
+			G4cout << " of server  " << fSystem.getHostName() << G4endl;
+		  }
 			break; 
 		} else { 
 			// Connection failed. Try the next port.
-			G4cerr << "*** GEANT4 incremented targeting port to ";
-			G4cerr << port << G4endl;
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+			G4cout << "*** GEANT4 incremented targeting port to ";
+			G4cout << port << G4endl;
+		  }
 		}
 
@@ -116,8 +122,10 @@
 
 	if (!fDest.isConnected()) {
-		G4cerr << "*** INET Connection failed. " << G4endl;
-		G4cerr << "    Maybe, you have not invoked viewer  g4vrmlview  yet, " << G4endl;
-		G4cerr << "    or too many viewers are already running in the " << G4endl;
-		G4cerr << "    server host(" << fSystem.getHostName() << "). " << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "*** INET Connection failed. " << G4endl;
+		G4cout << "    Maybe, you have not invoked viewer  g4vrmlview  yet, " << G4endl;
+		G4cout << "    or too many viewers are already running in the " << G4endl;
+		G4cout << "    server host(" << fSystem.getHostName() << "). " << G4endl;
+	  }
 	}
 }
@@ -126,5 +134,6 @@
 {
 	fDest.close();
-	G4cerr << "*** INET Connection closed. " << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	      G4cout << "*** INET Connection closed. " << G4endl;
 }
 
Index: trunk/source/visualization/VRML/src/G4VRML1SceneHandlerFunc.icc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1SceneHandlerFunc.icc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1SceneHandlerFunc.icc	(revision 1347)
@@ -25,9 +25,11 @@
 //
 //
-// $Id: G4VRML1SceneHandlerFunc.icc,v 1.16 2006/06/29 21:26:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML1SceneHandlerFunc.icc,v 1.17 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML1SceneHandlerFunc.icc
 // Satoshi Tanaka & Yasuhide Sawada
+
+#include "G4VisManager.hh"
 
 //#define DEBUG_SCENE_FUNC
@@ -44,5 +46,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid trd" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid trd" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -53,5 +56,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid trap" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid trap" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -62,5 +66,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid para" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid para" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -71,5 +76,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid torus" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid torus" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -81,5 +87,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid vsolid" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid vsolid" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -90,5 +97,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid tubs" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid tubs" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -127,5 +135,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-    G4cerr << "***** AddSolid cons" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid cons" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -166,5 +175,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid box" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid box" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -194,5 +204,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid sphere" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid sphere" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -230,5 +241,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive polyline" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive polyline" << "\n" ;
 #endif 
 	VRMLBeginModeling () ;	
@@ -269,5 +281,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive(G4Polyhedron)" << "\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive(G4Polyhedron)" << "\n";
 #endif
 
@@ -338,7 +351,9 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive nurbs" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive nurbs" << "\n" ;
 #endif 
-	G4cerr << "G4VRML1File::AddPrimitive(G4NURBS&): not implemented. " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "G4VRML1File::AddPrimitive(G4NURBS&): not implemented. " << "\n" ;
 	VRMLBeginModeling () ;
 
@@ -348,7 +363,9 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive text" << "\n" ;
-#endif
-	G4cerr <<
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive text" << "\n" ;
+#endif
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout <<
           "***** void G4VRML1SCENEHANDLER::AddPrimitive( const G4Text& text )"
           " not implemented yet."
@@ -361,5 +378,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive circle" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive circle" << "\n" ;
 #endif
 
@@ -391,5 +409,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive square" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive square" << "\n" ;
 #endif
 
@@ -423,5 +442,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** BeginModeling " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** BeginModeling " << "\n" ;
 #endif
 	G4VSceneHandler::BeginModeling();
@@ -431,5 +451,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** EndModeling " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** EndModeling " << "\n" ;
 #endif
 	G4VSceneHandler::EndModeling();
@@ -441,5 +462,6 @@
   fpObjectTransformation = &objectTransformation;
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** BeginPrimitives " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** BeginPrimitives " << "\n" ;
 #endif
 	VRMLBeginModeling();
@@ -449,5 +471,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** EndPrimitives " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** EndPrimitives " << "\n" ;
 #endif
   G4VSceneHandler::EndPrimitives();
@@ -555,5 +578,6 @@
 	if (!IS_CONNECTED ) {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** VRMLBeginModeling() (started)" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** VRMLBeginModeling() (started)" << "\n" ;
 #endif
 		this->connectPort();
@@ -567,5 +591,6 @@
 	if ( IS_CONNECTED ) {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** VRMLEndModeling() (started)" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** VRMLEndModeling() (started)" << "\n" ;
 #endif
 
Index: trunk/source/visualization/VRML/src/G4VRML1Viewer.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML1Viewer.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML1Viewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML1Viewer.cc,v 1.8 2006/06/29 21:26:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML1Viewer.cc,v 1.9 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRMLView.cc
@@ -39,4 +39,6 @@
 
 //#define DEBUG_FR_VIEW
+
+#include "G4VisManager.hh"
 
 #include "G4Scene.hh"
@@ -56,5 +58,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1Viewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1Viewer::SetView(): No effects" << G4endl;
 #endif
 }
@@ -63,5 +66,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4VRML1Viewer::DrawView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4VRML1Viewer::DrawView()" << G4endl;
 #endif
 
@@ -77,5 +81,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1Viewer::ClearView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1Viewer::ClearView(): No effects" << G4endl;
 #endif
 }
@@ -84,5 +89,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1Viewer::ShowView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1Viewer::ShowView()" << G4endl;
 #endif
 	fSceneHandler.VRMLEndModeling();
@@ -92,5 +98,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML1Viewer::FinishView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML1Viewer::FinishView(): No effects" << G4endl;
 #endif
 }
Index: trunk/source/visualization/VRML/src/G4VRML2.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2.cc,v 1.10 2006/06/29 21:26:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2.cc
Index: trunk/source/visualization/VRML/src/G4VRML2File.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2File.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2File.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRML2File.cc,v 1.10 2006/06/29 21:26:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2File.cc
